# class KDateValidator | Validates user-entered dates. More...
Definition | `#include <kdatetbl.h>`
Inherits | QValidator (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KDateValidator (QWidget* parent=0, const char* name=0)
- virtual State validate (QString&, int&) const
- virtual void fixup ( QString & input ) const
- State date (const QString&, QDate&) const

## Detailed Description

Validates user-entered dates.

KDateValidator (QWidget* parent=0, const char* name=0) | ### KDateValidator

State validate (QString&, int&) | ### validate

[const virtual]

Reimplemented from QValidator.

void fixup ( QString & input ) | ### fixup

[const virtual]

Reimplemented from QValidator.

State date (const QString&, QDate&) | ### date

[const]

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:37:45 2001, using kdoc 2.0a53.